#
# spec file for package python-cached-property
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-cached-property
Version:        1.3.0
Release:        lp151.2.2
Summary:        A decorator for caching properties in classes
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/pydanny/cached-property
Source:         https://files.pythonhosted.org/packages/source/c/cached-property/cached-property-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module freezegun}
%endif
BuildArch:      noarch

%python_subpackages

%description
A decorator for caching properties in classes.It makes caching of time or
computational expensive properties quick and easy and it works in Python 2
and 3.

%prep
%setup -q -n cached-property-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%doc AUTHORS.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Sat Aug 19 2017 sebix+novell.com@sebix.at
- singlespec version
* Thu Mar 17 2016 jmassaguerpla@suse.com
- initial commit with version 1.3.0
